Update the personal section for a given employee id.

This endpoint updates the employee personal section for a given employee id. The operation only updates the fields provided in the body.


Custom fields information can be provided in this operation. The API name of the custom field is required and the data format has to match with the type defined for the custom field in Kenjo.
API names start with 'c_' and the rest is composed by the trimmed name (spaces are removed).



Example:


The custom field 'category' belongs to the 'personal' section:

{
  ...,
  "lastName": "Nadie",
  "c_category": "Good",
  ...
}

'category' is a field type 'List' (Strings list) with the possible values: "Good" and "Bad". It means that if a different value or type is provided then the request will return an error.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The _id of the employee to update.

Body Params
string

The name of the Kenjo employee. This field is required.

string

The surname of the Kenjo employee. This field is required.

string

The composition of firstName and lastName of the Kenjo employee.

string

The gender of the Kenjo employee. Only is valid one of the following values 'Male' (male), 'Female' (female) or 'Other' (other).

string

The employee birth date. Format YYYY-MM-DDThh:mm:ss.000Z.

string

The employee nationality. The nationality must be the first letter in uppercase. Example "Spanish", "Brazilian"

Headers
string
required

A valid bearer token.

Responses

401

UNAUTHORIZED. The Authorization header is incorrect, not provided or the token expired.

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json